<?php
/*
        ++++ Aufgabenstellung: +++++
        Es gibt folgende Rabatte auf bestellte Autogrammkarten:

            Versand kostet 2 Euro.
            1 Karte kostet 18 Cent.
            - weniger als 10 Karten: kein Rabatt
            - weniger als 100 Karten: 5% Rabatt auf Kartenpreise
            - >= 100 Karten: 10% Rabatt auf Kartenpreise.
            - >= 1000 karten: 10% Rabatt auf Kartenpreise + kostenloser Versand

            $ausgabe definieren, soll so aussehen:

            »Sie haben 44 Autogrammkarten bestellt.
            Der reguläre Preis wäre 44 * 18 Cent + 2 Euro, also 9.92 Euro.
            Sie bekommen 5 % Rabatt auf den Kartenpreis, das sind 0.396 Euro Rabatt.
            Versandkosten: 2 Euro
            Rechnungsbetrag: 9.524 Euro.«

        +++++++++++++++++++++++++++++     
        */
?>
<!DOCTYPE html>
<html lang="de">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>2c: Autogrammkarten: Rabatt</title>
    <link rel="stylesheet" type="text/css" href="style.css">
</head>

<body>
    <a href="<?php echo $_SERVER['SCRIPT_NAME']; ?>">
        <div id="logobild"></div>
    </a>

    <h1>Autogrammkartenbestellung: Rabatt</h1>

    <!-- Hier Ausgabe vornehmen (am geschicktesten oben im PHP-Kopf definieren):

    Sie haben 44 Autogrammkarten bestellt.
    Der reguläre Preis wäre 44 * 18 Cent + 2 Euro, also 9.92 Euro
    Sie bekommen 5 % Rabatt auf den Kartenpreis, das sind 0.396 Euro Rabatt
    Versandkosten: 2 Euro
    Rechnungsbetrag: 9.524 Euro.


-->

    <form action="<?php echo $_SERVER['SCRIPT_NAME']; ?>" method="post">
        <fieldset>
            <legend>Rabatt-Berechnung</legend>
            <p>Sehr geehrter Herr Smith,<br>
                Ich bin ein großer Fan von Ihnen! Deshalb möchte ich gerne von Ihren Autogrammkarten bestellen!</p>
            <label for="tfAnzahl">Ich bestelle </label>
            <input type="number" name="tfAnzahl" id="tfAnzahl" value="" min="1" required> Autogrammkarten.
            <!-- Hier im value von tfAnzahl Wert aus Formular übernehmen -->

            <br><br>
            <input type="submit" name="btBerechnen" id="btBerechnen" value="Rabatt berechnen">
        </fieldset>
    </form>

    <div class="dekobild"></div>

</body>

</html>