<?php
/*
        ++++ Aufgabenstellung: +++++
        »Smith hat Lanzilotti Geld geliehen, Lanzilotti verzinst ihm das pro Monat mit 10% Zinsen. Wir wollen berechnen, wie sich ein eingegebener Betrag x nach y Monaten entwickelt (x und y werden vom User ins Formular eingegeben).«
        +++++++++++++++++++++++++++++
        Vorgehen:

        Tabellenkopf ausgeben (table, tr, th)

        Dann mit einer for-Schleife die Laufzeit durchlaufen und das Ergebnis in Tabellenform ausgeben (für jeden Schleifendurchlauf eine neue Zeile = <tr>, dann jeweils Monat, Zinsen, Gesamtbetrag als <td>)

        Tabelle schließen (/table)
       */
?>
<!DOCTYPE html>
<html lang="de">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>2d Zinsrechner</title>
    <link rel="stylesheet" type="text/css" href="style.css">
</head>

<body>
    <a href="<?php echo $_SERVER['SCRIPT_NAME']; ?>">
        <div id="logobild"></div>
    </a>

    <h1>Zinsrechner</h1>

    <!-- Hier soll eine Tabelle stehen: Monat, Zinsen, Gesamtbetrag - ein Eintrag pro Monat, also etwa
    Monat    | Zinsen    | Gesamtbetrag
    1        | 10 €      | 110 €
    2        | 11 €      | 121 €
    3        | 12.1 €    | 133.1 €
    -->

    <form action="<?php echo $_SERVER['SCRIPT_NAME']; ?>" method="post">
        <fieldset>
            <legend>Zinsrechner</legend>
            <!-- in tfGeliehenerBetrag und tfLaufzeitMonate die Werte aus dem Formular als value einfügen -->
            <label for="tfGeliehenerBetrag">Geliehener Betrag</label>
            <input type="number" name="tfGeliehenerBetrag" id="tfGeliehenerBetrag" min="0" required>
            <label for="tfLaufzeitMonate">Laufzeit (Monate)</label>
            <input type="number" name="tfLaufzeitMonate" id="tfLaufzeitMonate" min="1" required>
            <input type="submit" name="btBerechnen" id="btBerechnen" value="Berechnen">
            <input type="reset" name="btZuruecksetzen" id="btZuruecksetzen" value="Zurücksetzen">
        </fieldset>
    </form>

    <div class="dekobild"></div>

</body>

</html>