<?php
$geliehenerBetrag = 0; // Anfangsbetrag - aus Formular
$laufzeit = "";         // Laufzeit Monate - aus Formular
$zinsenProMonat = 0.1;  // Vorgabe
$ausgabe = "";          // User-Message, Zinstabelle etc.
if (isset($_POST['btBerechnen'])) { // Formular wurde abgeschickt

    $geliehenerBetrag = $_POST['tfGeliehenerBetrag'];
    $laufzeit = $_POST['tfLaufzeitMonate'];

    $betrag = $geliehenerBetrag; // Betrag für Berechnung

    $ausgabe = "
            <h2>Zinstabelle</h2>
            <table>
                <thead>
                    <tr>
                        <th>Monat</th>
                        <th>Zinsen</th>
                        <th>Gesamtbetrag</th>
                    </tr>
                </thead>
                <tbody>";
    /*
        ++++ Aufgabenstellung: +++++
        »Smith hat Lanzilotti Geld geliehen, Lanzilotti verzinst ihm das pro Monat mit 10% Zinsen. Wir wollen berechnen, wie sich ein eingegebener Betrag x nach y Monaten entwickelt (x und y werden vom User ins Formular eingegeben).«
        +++++++++++++++++++++++++++++

        Hier mit einer for-Schleife die Laufzeit durchlaufen und das Ergebnis in Tabellenform ausgeben (für jeden Schleifendurchlauf eine neue Zeile = <tr>, dann jeweils Monat, Zinsen, Gesamtbetrag als <td>)
       */
    $ausgabe .= "</tbody></table>";
}

?>
<!DOCTYPE html>
<html lang="de">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>2d Zinsrechner</title>
    <link rel="stylesheet" type="text/css" href="style.css">
</head>

<body>
    <a href="<?php echo $_SERVER['SCRIPT_NAME']; ?>">
        <div id="logobild"></div>
    </a>

    <h1>Zinsrechner</h1>
    <?php echo "<p style='color:red'>$ausgabe</p>"; ?>


    <form action="<?php echo $_SERVER['SCRIPT_NAME']; ?>" method="post">
        <fieldset>
            <legend>Zinsrechner</legend>

            <label for="tfGeliehenerBetrag">Geliehener Betrag</label>
            <input type="number" name="tfGeliehenerBetrag" id="tfGeliehenerBetrag" value="<?php echo $geliehenerBetrag; ?>" min="0" required>
            <label for="tfLaufzeitMonate">Laufzeit (Monate)</label>
            <input type="number" name="tfLaufzeitMonate" id="tfLaufzeitMonate" value="<?php echo $laufzeit; ?>" min="1" required>
            <input type="submit" name="btBerechnen" id="btBerechnen" value="Berechnen">
            <input type="reset" name="btZuruecksetzen" id="btZuruecksetzen" value="Zurücksetzen">
        </fieldset>
    </form>

    <div class="dekobild"></div>

</body>

</html>