<?php
$tageGesamt = 99999;    // Wert aus Formular: Wie viel Tage läuft Öl aus?
$verlustProTagInProzent = 0.05; // Vorgabe: 5% Verlust pro Tag
$gesamtkapazitaet = 6; // Vorgabe: 6 Liter sind zu Anfang im System
$ausgabe = "";

if (isset($_POST['btBerechnen'])) { // Formular wurde abgeschickt
    $tageGesamt = $_POST['selTage'];

    /* 
    ++++ Aufgabenstellung: +++++
    »Ösal hat mit seinem Camaro einen Unfall gebaut. Im Schmiersystem sind 6 Liter Öl, pro Tag laufen 5% der Gesamtkapazität aus. Sobald nur noch 2 Liter drin sind, nimmt der Druck ab und es laufen nur noch 3% der Gesamtkapazität täglich aus. Wir wollen die ausgelaufene Menge nach x Tagen berechnen (der User gibt x ins Formular ein).«
    +++++++++++++++++++++++++++++
    Deshalb mit einer for-Schleife die Tage, an denen Öl ausläuft, durchlaufen.
    Achtung: Der Verlust berechnet sich immer im Verhältnis zur Gesamtkapazität (5% bzw. 3% sind also jeden Tag gleich viel)!

    Ausgabe etwa:
    »An Tag 1 sind 0.3 Liter (= 5% der Gesamtkapazität) ausgelaufen, noch 5.7 Liter im System.
    An Tag 2 sind 0.3 Liter (= 5% der Gesamtkapazität) ausgelaufen, noch 5.4 Liter im System.
    An Tag 3 sind 0.3 Liter (= 5% der Gesamtkapazität) ausgelaufen, noch 5.1 Liter im System.
    …
    Nach 10 Tagen sind von 6 Liter noch 3.00 Liter übrig.«

    Tipp: Es wird vielleicht einfacher für Sie, wenn Sie alle Werte berechnen, bevor Sie die Ausgabe zusammenbauen. Ist aber Geschmackssache.
    Also NICHT:
    $ausgabe .= "An Tag " . $tag . " sind " . ($gesamtkapazitaet * $verlustProTagInProzent) . " Liter ausgelaufen …";
    Vielleicht EINFACHER:
    $verlustProTagInLiter = $gesamtkapazitaet * $verlustProTagInProzent;
    $ausgabe .= "An Tag " . $tag . " sind " . $verlustProTagInLiter . " Liter ausgelaufen …";
    */
}

?>
<!DOCTYPE html>
<html lang="de">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>2f: Ölverlust</title>
    <link rel="stylesheet" type="text/css" href="style.css">
</head>

<body>
    <a href="<?php echo $_SERVER['SCRIPT_NAME']; ?>">
        <div id="logobild"></div>
    </a>

    <h1>Ölverlust</h1>
    <?php echo "<p style='color:red'>$ausgabe</p>"; ?>


    <form action="<?php echo $_SERVER['SCRIPT_NAME']; ?>" method="post">
        <fieldset>
            <legend>Ölstand</legend>
            <label for="selTage">Wie viele Tage läuft Öl aus?</label>
            <select id="selTage" name="selTage" id="selTage">
                <?php
                for ($t = 1; $t <= 20; $t++) {
                    echo "<option value = '$t'";
                    if ($t == $tageGesamt) {
                        echo " selected";
                    }

                    echo ">$t</option>";
                }
                ?>
            </select>
            <input type="submit" name="btBerechnen" id="btBerechnen" value="Auslaufmenge berechnen" />
        </fieldset>
    </form>

    <div class="dekobild"></div>

</body>

</html>